import { Serializable } from '../../../../../../models/interfaces/Serializable';
import { TranslateService } from '@ngx-translate/core';
import { Principal } from 'app/models/login/Principal';

export class UserListingModel implements Serializable<UserListingModel> {
	public id: String;
	public label: String;
	public roles: Principal.AppRole[];

	fromJSONObject(item: any): UserListingModel {
		this.id = item.id;
		this.label = item.label;
		this.roles = item.roles;
		return this;
	}
}
