import { SnackBarNotificationComponent } from './notification/snack-bar-notification.component';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { MaterialModule } from '../material/material.module';
import { TranslateModule } from '@ngx-translate/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { CoreModule } from '../core/core.module';

@NgModule({
	imports: [
		CommonModule,
		RouterModule,
		MaterialModule,
		CoreModule,
		FormsModule,
		ReactiveFormsModule,
		TranslateModule,
	],

	declarations: [
		SnackBarNotificationComponent,
	],

	exports: [
		SnackBarNotificationComponent,
		TranslateModule,
		FormsModule,
		ReactiveFormsModule,
	],
	entryComponents: [
	]
})

export class SharedModule { }
