package eu.eudat.dao.entities;

import java.util.UUID;

import eu.eudat.dao.DatabaseAccessLayer;
import eu.eudat.entities.DMP;
import eu.eudat.entities.UserInfo;
import eu.eudat.models.criteria.DataManagementPlanCriteria;
import eu.eudat.models.datasetwizard.DatasetWizardAutocompleteRequest;
import eu.eudat.queryable.QueryableList;

public interface DMPDao extends DatabaseAccessLayer<DMP, UUID> {

	QueryableList<DMP> getWithCriteria(DataManagementPlanCriteria criteria);

	QueryableList<DMP> getUserDmps(DatasetWizardAutocompleteRequest datasetWizardAutocompleteRequest, UserInfo userInfo);

	QueryableList<DMP> getAuthenticated(QueryableList<DMP> query,UserInfo principal);

	Long count();
}