package eu.eudat.dao.entities;

import java.util.UUID;

import eu.eudat.dao.DatabaseAccessLayer;
import eu.eudat.entities.Project;
import eu.eudat.entities.Registry;
import eu.eudat.models.criteria.RegistryCriteria;
import eu.eudat.queryable.QueryableList;

public interface RegistryDao extends DatabaseAccessLayer<Registry, UUID> {

	QueryableList<Registry> getWithCriteria(RegistryCriteria criteria);

}