package eu.eudat.managers;

import eu.eudat.entities.Researcher;
import eu.eudat.services.ApiContext;
import eu.eudat.utilities.builders.DomainModelConverter;

import java.lang.reflect.Array;
import java.util.Arrays;

/**
 * Created by ikalyvas on 2/5/2018.
 */
public class ResearcherManager {

    public static Researcher create(ApiContext apiContext, eu.eudat.models.researcher.Researcher researcher) throws Exception {
        Researcher researcherEntity = new DomainModelConverter<Researcher, eu.eudat.models.researcher.Researcher>().toDataModel(Arrays.asList(researcher)).get(0);
        return apiContext.getDatabaseRepository().getResearcherDao().createOrUpdate(researcherEntity);
    }
}
