package eu.eudat.models.project;

import eu.eudat.entities.*;
import eu.eudat.entities.Project;
import eu.eudat.models.DataModel;

import java.util.UUID;


public class ProjectCriteriaModel implements DataModel<eu.eudat.entities.Project> {
    private UUID id;

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    @Override
    public void fromDataModel(Project entity) throws InstantiationException, IllegalAccessException {
        this.id = entity.getId();
    }

    @Override
    public Project toDataModel() {
        Project project = new Project();
        project.setId(this.id);
        return project;
    }

    @Override
    public String getHint() {
        return null;
    }
}
