package eu.eudat.services;

import eu.eudat.proxy.fetching.RemoteFetcher;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.context.MessageSource;
import org.springframework.stereotype.Service;


@Service("apiContext")
public class ApiContextImpl implements ApiContext{

    private DatabaseRepository databaseRepository;
    private ApplicationContext applicationContext;
    private RemoteFetcher remoteFetcher;
    private InvitationService invitationService;
    private MailService mailService;
    private MessageSource messageSource;

    @Autowired
    public void setDatabaseRepository(DatabaseRepository databaseRepository) {
        this.databaseRepository = databaseRepository;
    }

    @Override
    public DatabaseRepository getDatabaseRepository() {
        return databaseRepository;
    }

    @Override
    public ApplicationContext getApplicationContext() {
        return applicationContext;
    }

    @Autowired
    public void setApplicationContext(ApplicationContext applicationContext) {
        this.applicationContext = applicationContext;
    }

    @Override
    public RemoteFetcher getRemoteFetcher() {
        return remoteFetcher;
    }

    @Autowired
    public void setRemoteFetcher(RemoteFetcher remoteFetcher) {
        this.remoteFetcher = remoteFetcher;
    }

    @Override
    public InvitationService getInvitationService() {
        return invitationService;
    }

    @Autowired
    public void setInvitationService(InvitationService invitationService) {
        this.invitationService = invitationService;
    }

    @Override
    public MailService getMailService() {
        return mailService;
    }

    @Autowired
    public void setMailService(MailService mailService) {
        this.mailService = mailService;
    }

    @Override
    public MessageSource getMessageSource() {
        return messageSource;
    }

    @Autowired
    public void setMessageSource(MessageSource messageSource) {
        this.messageSource = messageSource;
    }
}
