﻿import { UsersCriteriaComponent } from '../shared/components/criteria/users/users-criteria.component';
import { SharedModule } from '../shared/shared.module';
import { CommonModule } from '@angular/common';
import { HttpClientModule } from '@angular/common/http';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';

import { UsersComponent } from './components/users.component';
import { UsersRoutes } from './users.routes';
import { MaterialModule } from '../material/material.module';
import { UserRoleEditorComponent } from './components/roles/user-role-editor.component';

@NgModule({
	imports: [
		CommonModule,
		UsersRoutes,
		SharedModule,
		MaterialModule
	],

	declarations: [
		UsersComponent,
		UsersCriteriaComponent,
		UserRoleEditorComponent
	],

	exports: [
		UsersComponent
	]
})

export class UsersModule { }
