import { MyHttpService } from './myhttpservice.service';
import { CommonModule } from '@angular/common';
import { NgModule, ModuleWithProviders } from '@angular/core';
import { MaterialModule } from '../../material/material.module';
import { CoreModule } from '../../core/core.module';
import { AuthService } from 'app/services/auth/auth.service';

@NgModule({
	imports: [
		CommonModule,
		MaterialModule,
		CoreModule.forRoot()
	]
})
export class MyHttpModule {
	static forRoot(): ModuleWithProviders {
		return {
			ngModule: MyHttpModule,
			providers: [
				AuthService,
				MyHttpService
			]
		};
	}
}
