package eu.eudat.dao;


import eu.eudat.entities.DataEntity;
import eu.eudat.queryable.QueryableList;

public interface DatabaseAccessLayer<T extends DataEntity<T>, I> {
    T createOrUpdate(T item);

    T find(I id);

    void delete(T item);

    QueryableList<T> asQueryable();
}
