package eu.eudat.dao.entities;

import java.util.UUID;

import eu.eudat.dao.DatabaseAccessLayer;
import eu.eudat.entities.DataRepository;
import eu.eudat.models.criteria.DataRepositoryCriteria;
import eu.eudat.queryable.QueryableList;

public interface DataRepositoryDao extends DatabaseAccessLayer<DataRepository,UUID> {
	QueryableList<DataRepository> getWithCriteria(DataRepositoryCriteria criteria);
}