package eu.eudat.dao.entities;

import java.util.UUID;

import eu.eudat.dao.DatabaseAccessLayer;
import eu.eudat.entities.DatasetProfile;
import eu.eudat.models.criteria.DatasetProfileCriteria;
import eu.eudat.queryable.QueryableList;

public interface DatasetProfileDao extends DatabaseAccessLayer<DatasetProfile, UUID> {

    QueryableList<DatasetProfile> getWithCriteria(DatasetProfileCriteria criteria);

    QueryableList<DatasetProfile> getAll();

}