package eu.eudat.dao.entities;

import eu.eudat.dao.DatabaseAccessLayer;
import eu.eudat.entities.DMP;
import eu.eudat.entities.ExternalDataset;
import eu.eudat.entities.Invitation;
import eu.eudat.models.criteria.ExternalDatasetCriteria;
import eu.eudat.models.criteria.InvitationCriteria;
import eu.eudat.queryable.QueryableList;

import java.util.UUID;


public interface ExternalDatasetDao extends DatabaseAccessLayer<ExternalDataset, UUID> {

    QueryableList<ExternalDataset> getWithCriteria(ExternalDatasetCriteria criteria);

}
