package eu.eudat.dao.entities;

import eu.eudat.dao.DatabaseAccessLayer;
import eu.eudat.entities.Dataset;
import eu.eudat.entities.ExternalDataset;
import eu.eudat.entities.Invitation;
import eu.eudat.models.criteria.DatasetCriteria;
import eu.eudat.models.criteria.InvitationCriteria;
import eu.eudat.queryable.QueryableList;

import java.util.UUID;


public interface InvitationDao extends DatabaseAccessLayer<Invitation, UUID> {

    QueryableList<Invitation> getWithCriteria(InvitationCriteria criteria);

}
