package eu.eudat.dao.entities;

import java.util.UUID;

import eu.eudat.dao.DatabaseAccessLayer;
import eu.eudat.entities.Invitation;
import eu.eudat.entities.Organisation;
import eu.eudat.models.criteria.OrganisationCriteria;
import eu.eudat.queryable.QueryableList;

public interface OrganisationDao extends DatabaseAccessLayer<Organisation, UUID> {

	QueryableList<Organisation> getWithCriteria(OrganisationCriteria criteria);

}