package eu.eudat.dao.entities;

import java.util.UUID;

import eu.eudat.dao.DatabaseAccessLayer;
import eu.eudat.entities.Registry;
import eu.eudat.entities.Researcher;
import eu.eudat.models.criteria.ResearcherCriteria;
import eu.eudat.queryable.QueryableList;

public interface ResearcherDao extends DatabaseAccessLayer<Researcher, UUID> {

	QueryableList<Researcher> getWithCriteria(ResearcherCriteria criteria);

}