package eu.eudat.dao.entities;

import java.util.UUID;

import eu.eudat.dao.DatabaseAccessLayer;
import eu.eudat.entities.Researcher;
import eu.eudat.entities.Service;
import eu.eudat.models.criteria.ServiceCriteria;
import eu.eudat.queryable.QueryableList;

public interface ServiceDao extends DatabaseAccessLayer<Service, UUID> {

	QueryableList<Service> getWithCriteria(ServiceCriteria criteria);

}