package eu.eudat.dao.entities.security;

import eu.eudat.dao.DatabaseAccessLayer;
import eu.eudat.entities.Credential;
import eu.eudat.entities.UserToken;

import java.util.UUID;


public interface UserTokenDao extends DatabaseAccessLayer<UserToken,UUID> {

    UserToken createOrUpdate(UserToken item);

    UserToken find(UUID id);

    void delete(UserToken token);
}
