package eu.eudat.models.helpers.requests;

import eu.eudat.models.helpers.common.ColumnOrderings;
import eu.eudat.models.helpers.common.SelectionFields;

public abstract class TableRequest<T> extends RequestItem<T> {
    private ColumnOrderings orderings;
    private SelectionFields selection;
    private Integer length;
    private Integer offset;

    public Integer getLength() {
        return length;
    }

    public void setLength(Integer length) {
        this.length = length;
    }

    public Integer getOffset() {
        return offset;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    public ColumnOrderings getOrderings() {
        return orderings;
    }

    public void setOrderings(ColumnOrderings orderings) {
        this.orderings = orderings;
    }

    public SelectionFields getSelection() {
        return selection;
    }

    public void setSelection(SelectionFields selection) {
        this.selection = selection;
    }
}
