package eu.eudat.models.researcher;

import eu.eudat.models.DataModel;
import org.hibernate.annotations.Type;

import javax.persistence.Column;
import java.util.Date;
import java.util.UUID;

/**
 * Created by ikalyvas on 2/5/2018.
 */
public class Researcher implements DataModel<eu.eudat.entities.Researcher> {

    private String firstName;

    private String lastName;

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    @Override
    public void fromDataModel(eu.eudat.entities.Researcher entity) throws InstantiationException, IllegalAccessException {

    }

    @Override
    public eu.eudat.entities.Researcher toDataModel() throws Exception {
        eu.eudat.entities.Researcher researcher = new eu.eudat.entities.Researcher();
        researcher.setCreated(new Date());
        researcher.setLabel(this.firstName+" "+this.lastName);
        researcher.setModified(new Date());
        researcher.setReference("dmp:"+researcher.getLabel());
        researcher.setStatus((short)0);
        return researcher;
    }

    @Override
    public String getHint() {
        return null;
    }
}
