package eu.eudat.services;

import eu.eudat.proxy.fetching.RemoteFetcher;
import org.springframework.context.ApplicationContext;
import org.springframework.context.MessageSource;


public interface ApiContext {
    DatabaseRepository getDatabaseRepository();
    ApplicationContext getApplicationContext();
    InvitationService getInvitationService();
    RemoteFetcher getRemoteFetcher();
    MailService getMailService();
    MessageSource getMessageSource();
}
