package eu.eudat.services;

import eu.eudat.dao.entities.*;
import eu.eudat.dao.entities.security.CredentialDao;
import eu.eudat.dao.entities.security.UserTokenDao;


public interface DatabaseRepository {
    DataRepositoryDao getDataRepositoryDao();
    DatasetDao getDatasetDao();
    DatasetProfileDao getDatasetProfileDao();
    DMPDao getDmpDao();
    OrganisationDao getOrganisationDao();
    ProjectDao getProjectDao();
    RegistryDao getRegistryDao();
    ResearcherDao getResearcherDao();
    ServiceDao getServiceDao();
    UserInfoDao getUserInfoDao();
    UserRoleDao getUserRoleDao();
    InvitationDao getInvitationDao();
    CredentialDao getCredentialDao();
    UserTokenDao getUserTokenDao();
    ExternalDatasetDao getExternalDatasetDao();
    UserDmpDao getUserDmpDao();
}
