﻿import { Injectable } from '@angular/core';
import { FormBuilder, FormArray, FormGroup } from '@angular/forms';
import { Principal } from '../models/login/Principal';

@Injectable()
export class Utilities {

	convertFromPrincipalAppRole(status: Principal.AppRole): string {
		switch (status) {
			case Principal.AppRole.Admin: return 'TYPES.APP-ROLE.ADMIN'
			case Principal.AppRole.User: return 'TYPES.APP-ROLE.USER'
			case Principal.AppRole.Manager: return 'TYPES.APP-ROLE.MANAGER'
		}
	}
}
